$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.114.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.114.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '3EF6484037402E50F4852B9404A20E9CAA7A6A3F0252020600A01E14D6E699C4'
  checksumType = 'sha256'
  checksum64 = '3EF6484037402E50F4852B9404A20E9CAA7A6A3F0252020600A01E14D6E699C4'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.0.114-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
